## org.junit.experimental.theories
Class PotentialAssignment

    java.lang.Object
      org.junit.experimental.theories.PotentialAssignment

    public abstract class PotentialAssignment

extends Object

Nested Class Summary
`static class` `PotentialAssignment.CouldNotGenerateValueException`

Constructor Summary
`PotentialAssignment()`

Method Summary
`static PotentialAssignment` `forValue(String name, Object value)`
`abstract String` `getDescription()`
`abstract Object` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PotentialAssignment

    public PotentialAssignment()

Method Detail

### forValue

    public static PotentialAssignment forValue(String name,
                                               Object value)

### getValue

    public abstract Object getValue()
                             throws PotentialAssignment.CouldNotGenerateValueException

  Throws:
    `PotentialAssignment.CouldNotGenerateValueException`

### getDescription

    public abstract String getDescription()
                                   throws PotentialAssignment.CouldNotGenerateValueException

  Throws:
    `PotentialAssignment.CouldNotGenerateValueException`

Copyright © 2002–2020 JUnit. All rights reserved.